package mdb;



import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

import util.LoggerUtil;

@MessageDriven(name = "HelloWorldQueueMDB", activationConfig = {
		@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
		@ActivationConfigProperty(propertyName = "destination", propertyValue = "jms/queue/mytest"),
		@ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge") })
public class HelloWorldMDB implements MessageListener {

	@Override
	public void onMessage(Message msg) {
		TextMessage txtMsg = null;
		try {
			if (msg instanceof TextMessage) {
				txtMsg = (TextMessage) msg;
				String msgContent = txtMsg.getText();
				LoggerUtil.info("Received Message from queue: " + msgContent);
			} else {
				LoggerUtil.warning("Message of wrong type: "
						+ txtMsg.getClass().getName());
			}
		} catch (JMSException e) {
			throw new RuntimeException(e);
		}

	}

}
